{% extends 'base.html.twig' %}

{% block title %}Liste des inscriptions{% endblock %}

{% block body %}
    <main class="container mt-0 md:mt-12">
        <h1>Liste des inscriptions</h1>

        {% for message in app.flashes('success') %}
            <div class="flash-message flash-success">
                {{ message }}
            </div>
        {% endfor %}

        {% for message in app.flashes('danger') %}
            <div class="flash-message flash-error">
                {{ message }}
            </div>
        {% endfor %}

        <div class="flex flex-col my-6">
            <div class="py-2 -my-2 overflow-x-auto sm:-mx-6 sm:px-6 lg:-mx-8 lg:px-8">
                <div class="inline-block min-w-full overflow-hidden align-middle border-b border-gray-200 shadow sm:rounded-lg">
                    <input type="text" name="searchTableParticipation" placeholder="Recherchez parmi les participations">
                    <table id="searchTableParticipation" class="min-w-full">
                        <thead>
                        <tr>
                            <th class="px-6 py-3 text-xs font-medium leading-4 tracking-wider text-left text-gray-500 uppercase border-b border-gray-200 bg-gray-50">
                                Édition
                            </th>

                            {% if is_granted('ROLE_SUPER_ADMIN') %}
                                <th class="px-6 py-3 text-xs font-medium leading-4 tracking-wider text-left text-gray-500 uppercase border-b border-gray-200 bg-gray-50">
                                    Société
                                </th>
                            {% endif %}

                            <th class="px-6 py-3 text-xs font-medium leading-4 tracking-wider text-left text-gray-500 uppercase border-b border-gray-200 bg-gray-50">
                                Nombre de tables souhaitées
                            </th>
                            <th class="px-6 py-3 text-xs font-medium leading-4 tracking-wider text-left text-gray-500 uppercase border-b border-gray-200 bg-gray-50">
                                Date inscription
                            </th>
                            <th class="px-6 py-3 text-xs font-medium leading-4 tracking-wider text-left text-gray-500 uppercase border-b border-gray-200 bg-gray-50">
                                Prix HT
                            </th>
                            <th class="px-6 py-3 text-xs font-medium leading-4 tracking-wider text-left text-gray-500 uppercase border-b border-gray-200 bg-gray-50">
                                Prix TTC
                            </th>
                            <th class="px-6 py-3 border-b border-gray-200 bg-gray-50"></th>
                        </tr>
                        </thead>

                        <tbody class="bg-white">
                        {% for participation in participations %}
                            <tr>
                                <td class="px-6 py-4 whitespace-no-wrap border-b border-gray-200">
                                    <div class="text-sm font-medium leading-5 text-gray-900">
                                        {{ participation.edition }}
                                    </div>
                                </td>

                                {% if is_granted('ROLE_SUPER_ADMIN') %}
                                    <td class="px-6 py-4 text-sm leading-5 text-gray-500 whitespace-no-wrap border-b border-gray-200">
                                        {{ participation.society }}
                                    </td>
                                {% endif %}

                                <td class="px-6 py-4 text-sm leading-5 text-gray-500 whitespace-no-wrap border-b border-gray-200">
                                    {{ participation.numberTables }}
                                </td>
                                <td class="px-6 py-4 text-sm leading-5 text-gray-500 whitespace-no-wrap border-b border-gray-200">
                                    {{ participation.registration ? participation.registration | date('d/m/Y H:i') : '' }}
                                </td>
                                <td class="px-6 py-4 text-sm leading-5 text-gray-500 whitespace-no-wrap border-b border-gray-200">
                                    {{ participation.estimate.ht }}€
                                </td>
                                <td class="px-6 py-4 text-sm leading-5 text-gray-500 whitespace-no-wrap border-b border-gray-200">
                                    {{ participation.estimate }}€
                                </td>
                                <td class="px-6 py-4 text-sm font-medium leading-5 text-right whitespace-no-wrap border-b border-gray-200">
                                    <a href="{{ path('participation_show', {'id': participation.id}) }}" class="mr-4 text-indigo-600 hover:text-indigo-900 focus:outline-none focus:underline">Voir</a>
                                    <a href="{{ path('participation_edit', {'id': participation.id}) }}" class="text-indigo-600 hover:text-indigo-900 focus:outline-none focus:underline">Modifier</a>
                                </td>
                            </tr>
                        {% else %}
                            <tr>
                                {% if is_granted('ROLE_SUPER_ADMIN') %}
                                    <td class="px-6 py-4" colspan="5">Aucune inscription n'a été enregistrée pour le moment !</td>
                                {% else %}
                                    <td class="px-6 py-4" colspan="5">Vous n'êtes pas inscrit !</td>
                                {% endif %}
                            </tr>
                        {% endfor %}
                        </tbody>
                    </table>
                </div>
            </div>
        </div>

        {% if is_granted('ROLE_SUPER_ADMIN') or (is_granted('ROLE_RESPONSABLE') and participations is empty) %}
            <a class="btn" href="{{ path('participation_new') }}">S'inscrire à l'édition</a>
        {% endif %}

    </main>
{% endblock %}
